summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-c-6
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-c-6')
-rwxr-xr-xgettext-tools/tests/xgettext-c-66
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/xgettext-c-6 b/gettext-tools/tests/xgettext-c-6
index b31b8c5..6c4acb9 100755
--- a/gettext-tools/tests/xgettext-c-6
+++ b/gettext-tools/tests/xgettext-c-6
@@ -20,10 +20,12 @@ dcgettext ("foo", "quick", LC_MESSAGES);
dgettext ("bar", "!");
EOF
-tmpfiles="$tmpfiles xg-c-6.po"
+tmpfiles="$tmpfiles xg-c-6.tmp.po xg-c-6.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --omit-header --no-location --add-comments=XXX \
- -d xg-c-6 xg-c-6.in.C
+ -d xg-c-6.tmp xg-c-6.in.C
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-c-6.tmp.po > xg-c-6.po
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles xg-c-6.ok"